GroovyPageCompiledScriptSource (Grails 3.1.10)
Date: 2016-07-28

Package: org.grails.gsp.io

## [Java] Class GroovyPageCompiledScriptSource

- org.grails.gsp.io.GroovyPageCompiledScriptSource

- All Implemented Interfaces and Traits:
    GroovyPageScriptSource

      public class GroovyPageCompiledScriptSource
      extends java.lang.Object

  Represents a pre-compiled GSP.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyPageCompiledScriptSource (java.lang.String uri, java.lang.String fullPath, java.lang.Class<?> compiledClass)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.Class<?>` | `getCompiledClass()` @return The compiled class
    `GroovyPageMetaInfo` | `getGroovyPageMetaInfo()`
    `GroovyPageResourceScriptSource` | `getReloadableScriptSource()`
    `java.lang.String` | `getScriptAsString()`
    `java.lang.String` | `getURI()`
    `boolean` | `isModified()`
    `boolean` | `isPublic()` Whether the GSP is publicly accessible directly, or only usable using internal rendering
    `void` | `setResourceCallable(java.security.PrivilegedAction<org.springframework.core.io.Resource> resourceCallable)`
    `java.lang.String` | `suggestedClassName()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public GroovyPageCompiledScriptSource(java.lang.String uri, java.lang.String fullPath, java.lang.Class<?> compiledClass)

  - ### Method Detail

    - #### public java.lang.Class<?> getCompiledClass()

      Returns:
        The compiled class

    - #### public GroovyPageMetaInfo getGroovyPageMetaInfo()

    - #### public GroovyPageResourceScriptSource getReloadableScriptSource()

    - #### public java.lang.String getScriptAsString()

    - #### public java.lang.String getURI()

    - #### public boolean isModified()

    - #### public boolean isPublic()

      Whether the GSP is publicly accessible directly, or only usable using internal rendering

      Returns:
        true if it can be rendered publicly

    - #### public void setResourceCallable(java.security.PrivilegedAction<org.springframework.core.io.Resource> resourceCallable)

    - #### public java.lang.String suggestedClassName()